Name:    qtqr
Version: 1.2
Release: %mkrel 2
Summary: GUI that makes it easy to create and decode QR Codes
License: GPLv3
Group:   Graphics/Utilities
URL:     https://launchpad.net/qr-tools
Source0: https://launchpad.net/qr-tools/trunk/%{version}/+download/qr-tools-%{version}.tar.gz
Source1: %{name}.desktop
Source2: qtqr.1
Patch0:  qr-tools-1.2-fed-fix_library.patch
BuildRequires: python
BuildRequires: ImageMagick
Requires:  pygtk2.0
Requires:  python-qrtools
Requires:  python-qt4-core
BuildArch: noarch

%description
QtQR is Qt based software that lets you generate QR Codes easily,
scan an image file for QR Codes and decode them or use your webcam to
scan a printed one.

%package -n python-qrtools
Group:  Development/Python
Summary: Backend module for QtQR
Requires:  python-pillow
Requires:  python-zbar
Requires:  qrencode

%description -n python-qrtools
Python-qrtools is a backend ("library") for creating and decoding QR
Codes in python. Depends on qrenconde and zbar.

%prep
%setup -q -n qr-tools
%autopatch

%build

%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/qt4/translations \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{python2_sitelib} \
         %{buildroot}%{_mandir}/man1

install -D -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert icon.png -resize ${res} %{buildroot}%{_datadir}/icons/hicolor/${res}/apps/%{name}.png
done;

install -D -m 644 %{name}*.qm %{buildroot}%{_datadir}/qt4/translations
install -D -m 644 qrtools.py %{buildroot}%{python2_sitelib}/

install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1

%files
%doc samples/
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%lang(en) %{_datadir}/qt4/translations/%{name}_en_GB.qm
%lang(es) %{_datadir}/qt4/translations/%{name}_es.qm
%lang(es) %{_datadir}/qt4/translations/%{name}_es_AR.qm
%lang(fr) %{_datadir}/qt4/translations/%{name}_fr.qm

%files -n python-qrtools
%{python2_sitelib}/qrtools.*


%changelog
* Tue Feb 16 2016 danf <danf> 1.2-2.mga6
+ Revision: 961842
- Moved dependencies to the correct subpackages

* Wed Jan 06 2016 danf <danf> 1.2-1.mga6
+ Revision: 919927
- imported package qtqr (based on Fedora by Muhammad Shaban)

